For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chains

get

Retrieves a list of supported chains.

Query parameters
optionalChainTypesstring · enumOptional
  • Optional parameter to filter chains by type ('EVM' or 'SOL').
Possible values:
Responses
200

A promise that resolves to an ApiResponse containing the supported chains.

application/json

Represents a standard API response.

successbooleanRequired
messagestringRequired
get/lifi/chains
GET /lifi/chains HTTP/1.1
Host: beta.usemoon.ai/
Accept: */*
200

A promise that resolves to an ApiResponse containing the supported chains.

{
  "success": true,
  "message": "text",
  "data": {
    "chains": [
      {
        "key": "text",
        "chainType": "EVM",
        "name": "text",
        "coin": "text",
        "id": 1,
        "mainnet": true,
        "logoURI": "text",
        "tokenlistUrl": "text",
        "multicallAddress": "text",
        "metamask": {
          "rpcUrls": [
            "text"
          ],
          "nativeCurrency": {
            "decimals": 1,
            "symbol": "text",
            "name": "text"
          },
          "chainName": "text",
          "blockExplorerUrls": [
            "text"
          ],
          "chainId": "text"
        },
        "nativeToken": {
          "priceUSD": "text",
          "logoURI": "text",
          "coinKey": "text",
          "name": "text",
          "decimals": 1,
          "symbol": "text",
          "chainId": 1,
          "address": "text"
        }
      }
    ]
  }
}